
//
// To jest przykładowy kod z podrozdziału 18.3 „Podstawowe operacje” książki
// "Programowanie. Teoria i praktyka z wykorzystaniem C++" Bjarne'a Stroustrupa.
//

#include "std_lib_facilities.h"

//------------------------------------------------------------------------------

int main()
{
    string s("Triumph");           // Inicjuje s łańcuchem znaków "Triumph".
    vector<double> v(10);          // Tworzy wektor 10 liczb typu double o nazwie v.

    vector<double> vi(10);          // Wektor 10 liczb typu double, z których każda zostanie zainicjowana wartością 0.0.
    vector<string> vs(10);         // Wektor 10 łańcuchów, z których każdy zostanie zainicjowany wartością "".
    vector<vector< int> > vvi(10); // Wektor 10 wektorów, z których każdy zostanie zainicjowany wartością vector().
}

//------------------------------------------------------------------------------
